blob: c239c34ff7ed3d5b174056ae85c0d4e968cdb753 [file] [log] [blame]
apply plugin: 'com.android.library'
apply plugin: org.robolectric.gradle.AndroidProjectConfigPlugin
android {
compileSdkVersion 29
defaultConfig {
minSdkVersion 16
targetSdkVersion 29
}
compileOptions {
sourceCompatibility = '1.8'
targetCompatibility = '1.8'
}
testOptions.unitTests.includeAndroidResources true
}
dependencies {
// Testing dependencies
testImplementation project(path: ':testapp', configuration: 'default')
testImplementation project(":robolectric")
testImplementation project(":integration_tests:agp:testsupport")
testImplementation "junit:junit:4.13.1"
testImplementation("androidx.test:core:1.3.0-rc03")
testImplementation("androidx.test:runner:1.3.0-rc03")
testImplementation("androidx.test.ext:junit:1.1.2-rc03")
}